Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class MenuShortcut

    java.lang.Object
      |
      +--java.awt.MenuShortcut

All Implemented Interfaces:
  Serializable

public class MenuShortcut
extends Object
implements Serializable

A class which represents a keyboard accelerator for a MenuItem.

See Also:
  Serialized Form

Constructor Summary
`MenuShortcut(int key)` Constructs a new MenuShortcut for the specified key.
`MenuShortcut(int key, boolean useShiftModifier)` Constructs a new MenuShortcut for the specified key.

Method Summary
`boolean` | `equals(MenuShortcut s)` Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.
`boolean` | `equals(Object obj)` Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.
`int` | `getKey()` Return the raw keycode of this MenuShortcut.
`int` | `hashCode()` Returns the hashcode for this MenuShortcut.
`protected String` | `paramString()`
`String` | `toString()` Returns an internationalized description of the MenuShortcut.
`boolean` | `usesShiftModifier()` Return whether this MenuShortcut must be invoked using the SHIFT key.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MenuShortcut

    public MenuShortcut(int key)

  Constructs a new MenuShortcut for the specified key.
  Parameters:
    `key` - the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a `KeyEvent` if this key were pressed.

### MenuShortcut

    public MenuShortcut(int key,
                        boolean useShiftModifier)

  Constructs a new MenuShortcut for the specified key.
  Parameters:
    `key` - the raw keycode for this MenuShortcut, as would be returned in the keyCode field of a `KeyEvent` if this key were pressed.
    `useShiftModifier` - indicates whether this MenuShortcut is invoked with the SHIFT key down.

Method Detail

### getKey

    public int getKey()

  Return the raw keycode of this MenuShortcut.

### usesShiftModifier

    public boolean usesShiftModifier()

  Return whether this MenuShortcut must be invoked using the SHIFT key.

### equals

    public boolean equals(MenuShortcut s)

  Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.
  Parameters:
    `s` - the MenuShortcut to compare with this.

### equals

    public boolean equals(Object obj)

  Returns whether this MenuShortcut is the same as another: equality is defined to mean that both MenuShortcuts use the same key and both either use or don't use the SHIFT key.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the Object to compare with this.

### hashCode

    public int hashCode()

  Returns the hashcode for this MenuShortcut.
  Overrides:
    `hashCode` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    public String toString()

  Returns an internationalized description of the MenuShortcut.
  Overrides:
    `toString` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a string representation of the object.

### paramString

    protected String paramString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.